Get ISP order status
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"amount_cents": 2,
"recurring_cents": 2,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"status_url": "<string>"
}
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}Catalog and orders
Get ISP order status
Check proxy setup progress. Keep polling while status is processing or outcome_unknown.
GET
https://app.proxy.doubledata.com/api/v1
/
isp
/
orders
/
{orderId}
Get ISP order status
curl --request GET \
--url https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"amount_cents": 2,
"recurring_cents": 2,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"status_url": "<string>"
}
}{
"error": {
"code": "unknown_proxy_ip",
"message": "One or more IPs are not active in this subscription.",
"details": {
"ips": [
"198.51.100.10"
]
},
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid API key is required.",
"request_id": "ad2f824c-46bc-47c6-b276-2bb51a3083b1"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"ips": [
"127.0.0.1"
]
}
}
}